import { ui } from "../ui/layaMaxUI";
import { PlayerManager } from "../Manager/PlayerManager";
export class ReviveView extends ui.ReviveViewUI{
    private static ins:ReviveView;
    constructor(){
        super();
        ReviveView.ins = this;
    }
    public static get Instance():ReviveView{
        if(ReviveView.ins == null){
            return new ReviveView();
        }
        return ReviveView.ins;
    }
    OnShow(){
        this.height = Laya.stage.height;
        Laya.stage.on(Laya.Event.RESIZE,this,()=>
        {
            this.height = Laya.stage.height;
        })
    }

    OnHide(){
        
    }
}